## alsasrc alsasrc — Read from a sound card via ALSA |

## Properties

gchar * | device | Read / Write
gchar * | device-name | Read
gchar * | card-name | Read

## Types and Values

struct | GstAlsaSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstAudioBaseSrc
                                ╰── GstAudioSrc
                                    ╰── GstAlsaSrc

## Description

## Synopsis

### Element Information

plugin | alsa
author | Wim Taymans <wim@fluendo.com>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S24_32LE, S24_32BE, U24_32LE, U24_32BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, S20LE, S20BE, U20LE, U20BE, S18LE, S18BE, U18LE, U18BE, F32LE, F32BE, F64LE, F64BE }, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstAlsaSrc

    struct GstAlsaSrc;

## Property Details

### The `“device”` property

      “device”                   gchar *

ALSA device, as defined in an asound configuration file.

Flags: Read / Write

Default value: "default"

### The `“device-name”` property

      “device-name”              gchar *

Human-readable name of the sound device.

Flags: Read

Default value: ""

### The `“card-name”` property

      “card-name”                gchar *

Human-readable name of the sound card.

Flags: Read

Default value: ""